--vim.cmd('colorscheme default')
--require('plugins.gruvbox')
--require('plugins.feline')
require('gitsigns').setup({numhl = true})
require('plugins.matlab_ls')
require('plugins.lua_ls')
require('plugins.rust_analyzer')
require('plugins.treesitter')
--require('battery').setup({
--	show_status_when_no_battery = false,
--	show_percent = true
--})
--require('plugins.noice')
require('plugins.statuscol')
require('plugins.fidget')
require('auto-save').setup{enabled = false,
    execution_message = {
		message = function() -- message to print on save
			return ""
		end,
		dim = 0, -- dim the color of `message`
		cleaning_interval = nil, -- (milliseconds) automatically clean MsgArea after displaying `message`. See :h MsgArea
	}}
vim.diagnostic.config({
  virtual_lines = { current_line = true, },
  underline = true,
  signs = {
            text = {
                [vim.diagnostic.severity.ERROR] = '✖',
                [vim.diagnostic.severity.WARN] = '⚠',
				[vim.diagnostic.severity.INFO] = '●',
				[vim.diagnostic.severity.HINT] = '✦'
            }
        }
  })

--vim.api.nvim_set_hl(0,"DiagnosticUnderlineWarn",{undercurl=true,sp='DiagnosticWarn'})
--For Alacritty:
-- vim.api.nvim_create_autocmd("ExitPre", {
-- 	group = vim.api.nvim_create_augroup("Exit", { clear = true }),
-- 	command = "set guicursor=a:ver90-blinkwait250-blinkoff250-blinkon250",
-- 	desc = "Set cursor back to beam when leaving Neovim."
-- })

-- vim.keymap.set('n','<C-l>',function() print(tostring(vim.fn.strftime('%H:%M'))) end)
vim.keymap.set('n','<C-s>',":w<CR>")
vim.keymap.set('n','<C-a>',":ASToggle<CR>")
vim.keymap.set('n','<C-l>',":r!date +\\%R<CR>")
